Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Interface TrainingSequenceIO

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AllIntergenicHiddenStateReader, GTFInputInterval13, GTFInputInterval29, Interval21HiddenSequenceTranslator, IntInput, IntInputInterval29

    public interface TrainingSequenceIO

extends java.io.Serializable

Interface for reading a training sequence from the specified location.

Method Summary
`void` | `readTrainingSequences(java.lang.Object location, java.util.List<TrainingSequence<java.util.Map<java.lang.String,java.lang.Object>>> seqs)` reads training sequences from the specified location.
`void` | `writeTrainingSequences(java.lang.Object location, java.util.Iterator<int[]> data)` writes training sequences to the specified location.

Method Detail

### readTrainingSequences

    void readTrainingSequences(java.lang.Object location,
                               java.util.List<TrainingSequence<java.util.Map<java.lang.String,java.lang.Object>>> seqs)
                               throws java.io.IOException

  reads training sequences from the specified location.

  Parameters:
    `location` - location of the training sequences. Meaning is implementation dependent.
    `seqs` - a list of the input sequences to which hidden sequences should be added. Each hidden sequence is an array of integers containing hidden state indices.
  Throws:
    `java.io.IOException`

### writeTrainingSequences

    void writeTrainingSequences(java.lang.Object location,
                                java.util.Iterator<int[]> data)
                                throws java.io.IOException

  writes training sequences to the specified location.

  Parameters:
    `location` - location of the training sequences. Meaning is implementation dependent.
    `data` - iterator over the hidden states to write.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD